version: '2'
services:
  gitsearch-elasticsearch:
    image: docker.elastic.co/elasticsearch/elasticsearch:6.8.8
    # volumes:
    #     - ~/volumes/jhipster/gitsearch/elasticsearch/:/usr/share/elasticsearch/data/
    ports:
      - 9200:9200
      - 9300:9300
    environment:
      - 'ES_JAVA_OPTS=-Xms1024m -Xmx1024m'
      - 'discovery.type=single-node'
